Package com.xebialabs.xlrelease.domain.events

# Class FolderDeletedEvent

java.lang.Object
com.xebialabs.xlrelease.domain.events.FolderDeletedEvent

All Implemented Interfaces:
  `FolderEvent`, `XLReleaseEvent`, `Serializable`, `scala.Equals`, `scala.Product`

public class FolderDeletedEvent extends Object implements FolderEvent, scala.Product, Serializable
Event published when a folder is deleted.

param: folder the deleted folder.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FolderDeletedEvent(Folder folder)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FolderDeletedEvent`
  `apply(Folder folder)`
  `boolean`
  `canEqual(Object x$1)`
  `FolderDeletedEvent`
  `copy(Folder folder)`
  `Folder`
  `copy$default$1()`
  `boolean`
  `equals(Object x$1)`
  `Folder`
  `folder()`
  `int`
  `hashCode()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `Date`
  `timestamp()`
  `String`
  `toString()`
  `static scala.Option<Folder>`
  `unapply(FolderDeletedEvent x$0)`
  `String`
  `username()`
  `void`
  `username_$eq(String x$1)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### FolderDeletedEvent

    public FolderDeletedEvent(Folder folder)

- ## Method Details

  - ### apply

    public static FolderDeletedEvent apply(Folder folder)

  - ### unapply

    public static scala.Option<Folder> unapply(FolderDeletedEvent x$0)

  - ### username

    public String username()
    Specified by:
      `username` in interface `XLReleaseEvent`

  - ### username_$eq

    public void username_$eq(String x$1)
    Specified by:
      `username_$eq` in interface `XLReleaseEvent`

  - ### timestamp

    public Date timestamp()
    Specified by:
      `timestamp` in interface `XLReleaseEvent`

  - ### folder

    public Folder folder()

  - ### copy

    public FolderDeletedEvent copy(Folder folder)

  - ### copy$default$1

    public Folder copy$default$1()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`